Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Add or Remove Students from Course

Note: AI Labs is currently available only in the Delhi region. Select addition_type as 'group_ids' to add students via group IDs or 'emails' to add via email addresses. Make sure to change the request body using the dropdown in the examples section.

PUT/ai_labs/organization/{Organization_Id}/course/{Course_Id}/students/

Path parameters

  • Organization_IdPathintegerrequired

    Organization ID

  • Course_IdPathintegerrequired

    Course ID

Query parameters

  • locationQuerystringrequired

    Location

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • addition_typeQuerystringrequired

    Type of student addition (by group IDs or emails)

    examplegroup_ids

Request body

application/json

object
member_idsarray

List of student member IDs to add or remove

group_idsarray

List of group IDs to add or remove

actionstringadd | remove

Action to perform — either add or remove

Responses

200Successfully added or removed students from the course
object
codeinteger
example200
datastring
exampleSuccessfully added/removed Students from the course
errorsobject
messagestring
exampleSuccess